多個NI軟體產品的安裝順序

更新 May 30, 2021

產品資訊

軟體

  • LabVIEW
  • NI Device Drivers

驅動程式

  • NI-DAQmx

問題敘述

  • 我剛剛購買了多個NI硬體和軟體產品。 NI軟體和硬體驅動程式的安裝順序是否有規定?
  • 我需要在已經安裝了較新版本的LabVIEW(或LabWindows™/ CVI)的電腦上安裝較舊版本的LabVIEW(或LabWindows™/ CVI)。是否可以在新版本之上安裝舊版本?
  • 升級到較新版本的LabVIEW後,我的某些VI損壞了。發生這種情況的原因可能是什麼?
  • 我剛剛安裝了NI-DAQmx和LabVIEW,但DAQ功能在LabVIEW中不可用。爲什麽?

解決方案

共有三種常見的安裝方案。選擇最適合您的配置的方案,並使用以下安裝過程作為指導。
  • 全新安裝:在未安裝NI軟體產品的電腦上安裝。
  • 升級:安裝較新版本的NI軟體。
  • 較舊的軟體在已安裝較新版本的NI軟體的電腦上安裝較舊的NI軟體。

 

全新安裝

安裝過程從應用程式開發環境(ADE)軟體(LabVIEW或LabWindows™/ CVI)開始,然後是模組,工具包和驅動程式。

按照以下順序安裝應用程式軟體(如果適用):
  1. LabVIEW開發環境
    • 如果您的電腦上需要多個版本,請從最早的版本安裝到最新的版本。
  2. LabVIEW附加模組(例如LabVIEW Real-Time模組)
    • 如果您的電腦上需要多個版本,請從最早的版本安裝到最新的版本。
  3. LabVIEW工具包(例如,聲音和振動工具包)
  4. 其他應用軟體(例如Measurement Studio,NI TestStand,DIAdem,NI VeriStand)。
  5. 硬體驅動
    • 請注意: NI驅動程式通常支援最新的四個LabVIEW版本。如果驅動程式不再支援您的舊硬體,則安裝驅動程式將刪除電腦上所有應用程式的硬體支援。如果較新的驅動程式不再支援您的LabVIEW較舊版本,則安裝較新的驅動程式將完全刪除對LabVIEW較舊版本的支援。
  6. 安裝軟體和驅動程式後,向系統添加/安裝必要的硬體。作業系統應自動識別並安裝硬體。

升級

要升級NI軟體,請驗證升級行為,然後按照“新安裝”過程進行安裝。

查看驅動程式自述文件(可在“驅動程式下載和更新”頁面上找到),以驗證新硬體驅動程式仍支援現有硬體和最舊安裝的LabVIEW版本。仔細閱讀上述內容後,如果對升級行為感到滿意,請按照“全新安裝”方案中的說明安裝軟體。

 

較舊的軟體

安裝NI驅動程式後,它們將支援LabVIEW的現有安裝。例如,大多數驅動程式既包括底層硬體支援,又包括支援諸如LabVIEW之類的應用程式開發環境的API。

按照以下順序安裝應用程式軟體(如果適用):
  1. 安裝較舊版本的LabVIEW開發環境(可選從較舊版本的LabVIEW Platform DVD)。
  2. 安裝所有LabVIEW工具包或模組的舊版本。
  3. 安裝較新版本的硬體驅動程式,或運行您希望與較舊版本的LabVIEW一起使用的硬體驅動程式的修改安裝。要運行硬體驅動程式的修改安裝:
    1. 啟動NI卸載程式(開始»控制台»程式和功能,然後選擇添加/刪除NI項目)。
    2. 導航到特定的驅動程式,然後選擇“Modify ”按鈕。
    3. 按照安裝程式提示完成安裝。

相關資訊

如果未正確按照安裝順序,則某些產品可能缺少某些功能,例如配置設置或範例文件。如果遇到這些現象,最好修復先安裝的產品(如LabVIEW,TestStand,DIAdem)上的安裝。您可以通過再次運行安裝程式來執行此操作。

如果卸載並重新安裝LabVIEW,則還需要按照上述安裝順序重新安裝模組,工具包和驅動程式,否則某些產品可能缺少功能。

關於LabVIEW多個版本的注意事項:LabVIEW開發環境和所有工具包將與以前的主要版本並排安裝。驅動程式安裝程式將升級驅動程式的先前版本,並增加對電腦上安裝的所有受支援的應用程式開發環境(例如LabVIEW)的支援。

關於升級設備驅動程式的注意事項:自2001年以來,所有驅動程式安裝程式均使用meta安裝程式,該程式具有檢查以前安裝的驅動程式版本的能力。如果找到較舊的驅動程式,它將在安裝最新版本之前將其卸載。如果它檢測到已經安裝了最新的驅動程式,則不會執行任何操作。如果使用的是2001年之前創建的驅動程式安裝程式,請先卸載較舊的驅動程式,然後再升級到較新的版本。

關於亂序安裝結果的注意事項:如果在LabVIEW之前安裝了驅動程式,則LabVIEW將沒有使用該驅動程式所需的API級別組件。要解決此問題,您可以升級到更高版本的驅動程式(通過查看驅動程式README來驗證是否仍支援現有硬體和最舊安裝的LabVIEW版本),或運行當前驅動程式版本的“修改”安裝。